
package com.lideeyunji.tool.framework.yunji.global.exeption;

/**
 * 全局异常
 *
 */
public class lideeYunjiGlobalException extends RuntimeException
{
    private static final long serialVersionUID = 1L;

    /**
     * 错误提示
     */
    private String message;

    /**
     * 错误明细，内部调试错误
     *
     * 和 {@link CommonResult#getDetailMessage()} 一致的设计
     */
    private String detailMessage;

    /**
     * 空构造方法，避免反序列化问题
     */
    public lideeYunjiGlobalException()
    {
    }

    public lideeYunjiGlobalException(String message)
    {
        this.message = message;
    }

    public String getDetailMessage()
    {
        return detailMessage;
    }

    public lideeYunjiGlobalException setDetailMessage(String detailMessage)
    {
        this.detailMessage = detailMessage;
        return this;
    }

    @Override
    public String getMessage()
    {
        return message;
    }

    public lideeYunjiGlobalException setMessage(String message)
    {
        this.message = message;
        return this;
    }
}